Go to the latest version of this document.

# ``twisted`.`persisted`.`_token``

module documentation
(source)

FIXME:https://github.com/twisted/twisted/issues/3843 This can be removed once t.persisted.aot is removed. New code should not make use of this.

Token constants. vendored from https://github.com/python/cpython/blob/6b825c1b8a14460641ca6f1647d83005c68199aa/Lib/token.py Licence: https://docs.python.org/3/license.html

Function | `ISEOF` | Undocumented
Function | `ISNONTERMINAL` | Undocumented
Function | `ISTERMINAL` | Undocumented
Constant | `EXACT_TOKEN_TYPES` | Undocumented
Variable | `tok_name` | Undocumented

def ISEOF(x): (source)

Undocumented

def ISNONTERMINAL(x): (source)

Undocumented

def ISTERMINAL(x): (source)

Undocumented

EXACT_TOKEN_TYPES = (source)

Undocumented

Value

    {'!=': NOTEQUAL,
     '%': PERCENT,
     '%=': PERCENTEQUAL,
     '&': AMPER,
     '&=': AMPEREQUAL,
     '(': LPAR,
     ')': RPAR,
    ...

tok_name = (source)

Undocumented